//----------------------------------------------------------------------
//
//  FILE:   IceBenchmarkPlot.hh
//  AUTHOR: Ian Ross
//  DATE:   28-MAR-2005
//
//----------------------------------------------------------------------
//
//  Class for MOTIF benchmark precipitation plot generation.
//
//----------------------------------------------------------------------

#ifndef _H_ICE_BENCHMARK_PLOT_
#define _H_ICE_BENCHMARK_PLOT_

//----------------------------------------------------------------------
//
//  HEADER FILES
//

// Standard headers.

#include <cstdio>

using namespace std;


// Local headers.

#include "BenchmarkPlot.hh"


//----------------------------------------------------------------------
//
//  CLASS DEFINITION
//

class IceBenchmarkPlot : public BenchmarkPlot {
public:

  enum Season { DJF, JJA };
  enum Hemisphere { NORTH, SOUTH };

  IceBenchmarkPlot(string model, const PlotSetup &setup,
                   Season season, Hemisphere hemi);
  virtual ~IceBenchmarkPlot() { }

  virtual void plot(void);

private:

  virtual string title_string(void);

  Season _season;
  Hemisphere _hemi;
  string _plot_data_file;
};

#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
//----------------------------------------------------------------------
