//----------------------------------------------------------------------
//
//  FILE:   PMinusEBenchmarkPlot.hh
//  AUTHOR: Ian Ross
//  DATE:   28-MAR-2005
//
//----------------------------------------------------------------------
//
//  Class for MOTIF benchmark precipitation plot generation.
//
//----------------------------------------------------------------------

#ifndef _H_PMINUSE_BENCHMARK_PLOT_
#define _H_PMINUSE_BENCHMARK_PLOT_

//----------------------------------------------------------------------
//
//  HEADER FILES
//

// Standard headers.

#include <cstdio>

using namespace std;


// Local headers.

#include "BenchmarkPlot.hh"


//----------------------------------------------------------------------
//
//  CLASS DEFINITION
//

class PMinusEBenchmarkPlot : public BenchmarkPlot {
public:

  PMinusEBenchmarkPlot(string model, const PlotSetup &setup);
  virtual ~PMinusEBenchmarkPlot() { }

  virtual void plot(void);

private:

  virtual void colours(FILE *fp, int &grid_colour);
  virtual void scaling(float &scale_factor, float &offset, string &units);
  virtual string title_string(void);

  string _plot_data_file;
};

#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
//----------------------------------------------------------------------
