//----------------------------------------------------------------------
//
//  FILE:   PrecipBenchmarkPlot.hh
//  AUTHOR: Ian Ross
//  DATE:   28-MAR-2005
//
//----------------------------------------------------------------------
//
//  Class for MOTIF benchmark precipitation plot generation.
//
//----------------------------------------------------------------------

#ifndef _H_PRECIP_BENCHMARK_PLOT_
#define _H_PRECIP_BENCHMARK_PLOT_

//----------------------------------------------------------------------
//
//  HEADER FILES
//

// Standard headers.

#include <cstdio>

using namespace std;


// Local headers.

#include "BenchmarkPlot.hh"


//----------------------------------------------------------------------
//
//  CLASS DEFINITION
//

class PrecipBenchmarkPlot : public BenchmarkPlot {
public:

  enum Component { ANNUAL, DJF, JJA, ZONAL_AFRICA };

  PrecipBenchmarkPlot(string model,
                      const PlotSetup &setup, Component comp);
  virtual ~PrecipBenchmarkPlot() { }

  virtual void plot(void);
  virtual void zonally_averaged_plot(string real_data_file);

private:

  virtual void colours(FILE *fp, int &grid_colour);
  virtual void scaling(float &scale_factor, float &offset, string &units);
  virtual string title_string(void);

  Component _component;
  string _plot_data_file;
};

#endif

//----------------------------------------------------------------------
//----------------------------------------------------------------------
//----------------------------------------------------------------------
